* {
    font-family: "neulis-sans", Arial, sans-serif;
}

:root {
    --default-text-color: var(--dark, white) var(--light, black);
    --default-background-color: var(--dark, black) var(--light, white);
    --default-box-color: var(--dark, rgba(255, 255, 255, 0.24)) var(--light, rgba(0, 0, 0, 0.08));
}
.icon {
    --dark-mode-filter: invert(1) hue-rotate(-180deg) brightness(85%);
    filter: var(--dark, var(--dark-mode-filter));
}
.github {
    --link-name-color: var(--default-text-color);
    --link-underline-color: var(--dark, rgba(255, 255, 255, 0.5)) var(--light, rgba(0, 0, 0, 0.5));
    --box-color: var(--default-box-color);
}
.email {
    --link-name-color: var(--dark, rgb(246, 109, 207)) var(--light, rgb(230, 37, 175));
    --link-underline-color: var(--dark, rgba(246, 109, 207, 0.5)) var(--light, rgba(230, 37, 175, 0.5));
    --box-color: var(--default-box-color);
}
.forgejo {
    --link-name-color: var(--dark, rgb(255, 135, 65)) var(--light, rgb(227, 108, 39));
    --link-underline-color: var(--dark, rgba(255, 135, 65, 0.5)) var(--light, rgba(227, 108, 39, 0.5));
    --box-color: var(--default-box-color);
}
.dark-mode-toggle, .share {
    --background-color: var(--default-box-color);
    --text-color: var(--default-text-color);
}
footer {
    --box-color: var(--dark, rgba(0, 0, 0, 0.5)) var(--light, rgba(255, 255, 255, 0.5))
}

body {
    background-color: var(--default-background-color);
    color: var(--default-text-color);

    height: 100vh;
    width: 100vw;
    margin: 0;
    overflow: hidden;
}
.scrollable {
    display: flex;
    flex-flow: column;
    height: 100%;
    width: fit-content;
    max-height: 100vh;
    max-width: 100vw;
    padding: 0;
    scroll-behavior: smooth;
    overflow-x: hidden;
}

header {
    text-align: center;
    margin: 15vh 10px 10px 10px;
    display: flex;
    justify-content: center;
    align-items: center;
}
header h1 {
    margin: 0;
    -webkit-margin-before: 0;
    -webkit-margin-after: 0;
}
.face {
    user-select: none;
    width: 6em;
    object-fit: contain;
    margin-right: 20px;
}
.bio {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    margin: 10px;
}
.age, .nationalities > * {
    margin: 0;
    padding: 0 5px 0 5px;
}
.age {
    font-weight: normal;
    font-size: 1rem;
}
.nationalities {
    flex-wrap: nowrap;
    display: flex;
    flex-flow: row;
    padding: 5px 0 5px 0;
}
.nationality, .nationality > img {
    height: 1.4em;
    object-fit: cover;
    border-radius: 0.3em;
}

article {
    text-align: center;
    padding: 0 10px 0 10px;
}

main {
    flex: 1 0 auto;
    width: calc(100vw - 40px);
    padding: 10px 20px 20px 20px;
}

.link {
    background: none;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-flow: column;
    text-decoration: none;
}
.link-name {
    font-family: "minecraft", Arial, sans-serif;
    letter-spacing: 0.05em;
    color: var(--link-name-color);
    border-bottom: 2px solid var(--link-underline-color);
    line-height: 1em;
}
.link-box {
    padding: 2px 8px 2px 8px;
    margin-bottom: 2px;
    border-radius: 0.3em;
}

.icon {
    display: grid;
    width: fit-content;
    height: fit-content;
}
.icon-preview, .icon-video {
    grid-area: 1 / 1;
    width: 6em;
}
.icon-preview {
    z-index: 9;
}
.icon-video {
    z-index: 10;
}

footer {
    position: absolute;
    height: fit-content;
    bottom: 8px;
    right: 8px;
    z-index: 11;
}
footer > p {
    background-color: var(--box-color);
    padding: 5px;
    border-radius: 5px;
    margin: 0;
}

.scrolldown {
    position: fixed;
    bottom: 10px;
    left: 20px;
    border: none;
    background-color: var(--default-box-color);
    display: flex;
    justify-content: center;
    align-items: center;
    width: 40px;
    height: 40px;
    border-radius: 10px;
    cursor: pointer;
    z-index: 1000;
    transition: opacity 200ms;
}
.scrolldown > svg {
    fill: var(--default-text-color);
}

@media screen and (min-width: 400px) {
    .scrollable[link-mode=free] .scrolldown {
        left: calc(50%);
        transform: translateX(-50%);
    }
}
@media screen and (max-width: 320px) {
    header {
        flex-flow: column;
    }
    .face {
        margin-right: 0;
    }

    footer {
        width: 100vw;
        left: 0;
        bottom: 0;
        text-align: center;
    }
    footer > p {
        border-radius: 0;
    }

    .scrolldown {
        position: relative;
    }
}